Name:           perl-Lingua-EN-Number-IsOrdinal
Version:        0.04
Release:        1%{?dist}
Summary:        Detect if English number is ordinal or cardinal
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Lingua-EN-Number-IsOrdinal/
Source0:        http://www.cpan.org/authors/id/R/RK/RKITOVER/Lingua-EN-Number-IsOrdinal-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Lingua::EN::FindNumber)
# Tests only
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
This module will tell you if a number, either in words or as digits, is a
cardinal or ordinal number.

%prep
%setup -q -n Lingua-EN-Number-IsOrdinal-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Nov 21 2014 Petr Šabata <contyk@redhat.com> 0.04-1
- Initial packaging.
